Page MenuHomePhabricator

Temporarily introduce feature toggle
Closed, ResolvedPublic2 Story Points

Description

In order to give users for whom the newly introduced feature is enabled by default enough time to disable it in advance, we want to introduce a feature toggle. The idea is to disable the feature's functionality on wikis that will have the feature enabled by default (dewiki, maybe plwiki). Users can edit their preferences already, so they will be given enough time to decide before the feature itself is enabled. The feature toggle is temporary.

Acceptance Criteria

  • The feature can be enabled/disabled per wiki. It is disabled by default.
  • The option in the user preferences is shown either way.

Notes

  • Instead of enabling the feature for wikis that had it disabled previously, the feature toggle should be removed again.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2019, 2:28 PM
kai.nissen set the point value for this task to 3.Feb 27 2019, 1:22 PM
kai.nissen updated the task description. (Show Details)Mar 1 2019, 6:14 PM
Tobi_WMDE_SW changed the point value for this task from 3 to 2.Mar 4 2019, 11:14 AM

Change 494249 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/core@master] Implement temporary rollback confirmation toggle

https://gerrit.wikimedia.org/r/494249

Change 494249 had a related patch set uploaded (by WMDE-Fisch; owner: Tim Eulitz):
[mediawiki/core@master] Implement temporary rollback confirmation toggle

https://gerrit.wikimedia.org/r/494249

Change 494249 merged by jenkins-bot:
[mediawiki/core@master] Implement temporary rollback confirmation toggle

https://gerrit.wikimedia.org/r/494249

kai.nissen closed this task as Resolved.Apr 15 2019, 11:09 AM